require "files/player"
require "files/camera"
require "files/debug"

function love.load()
  love.graphics.setDefaultFilter("nearest")
  playerload()
  cameraload()
end

function love.update(dt)
  playerupdate(dt)
  cameraupdate(dt)
end

function love.draw(dt)
  camera:attach()
  playerdraw()
  camera:detach()
  debugdraw()
end

function love.keypressed(key)
  if key == "escape" then
    love.event.push("quit")
  end
end